"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const runtime = require("../../../utils/vue/props/runtime.js");
const icon = require("../../../utils/vue/icon.js");
const index$4 = require("../../../hooks/use-size/index.js");
const index$1 = require("../../../hooks/use-empty-values/index.js");
const index = require("../../../hooks/use-aria/index.js");
const content = require("../../tooltip/src/content.js");
const scrollbar = require("../../scrollbar/src/scrollbar.js");
const tag = require("../../tag/src/tag.js");
const useProps = require("../../select-v2/src/useProps.js");
const index$3 = require("../../../../../@element-plus/icons-vue/dist/index.js");
const index$2 = require("../../../../../@popperjs/core/dist/index.js");
const selectProps = runtime.buildProps({
  name: String,
  id: String,
  modelValue: {
    type: runtime.definePropType([
      Array,
      String,
      Number,
      Boolean,
      Object
    ]),
    default: void 0
  },
  autocomplete: {
    type: String,
    default: "off"
  },
  automaticDropdown: Boolean,
  size: index$4.useSizeProp,
  effect: {
    type: runtime.definePropType(String),
    default: "light"
  },
  disabled: {
    type: Boolean,
    default: void 0
  },
  clearable: Boolean,
  filterable: Boolean,
  allowCreate: Boolean,
  loading: Boolean,
  popperClass: {
    type: String,
    default: ""
  },
  popperStyle: { type: runtime.definePropType([String, Object]) },
  popperOptions: {
    type: runtime.definePropType(Object),
    default: () => ({})
  },
  remote: Boolean,
  debounce: {
    type: Number,
    default: 300
  },
  loadingText: String,
  noMatchText: String,
  noDataText: String,
  remoteMethod: { type: runtime.definePropType(Function) },
  filterMethod: { type: runtime.definePropType(Function) },
  multiple: Boolean,
  multipleLimit: {
    type: Number,
    default: 0
  },
  placeholder: { type: String },
  defaultFirstOption: Boolean,
  reserveKeyword: {
    type: Boolean,
    default: true
  },
  valueKey: {
    type: String,
    default: "value"
  },
  collapseTags: Boolean,
  collapseTagsTooltip: Boolean,
  tagTooltip: {
    type: runtime.definePropType(Object),
    default: () => ({})
  },
  maxCollapseTags: {
    type: Number,
    default: 1
  },
  teleported: content.useTooltipContentProps.teleported,
  persistent: {
    type: Boolean,
    default: true
  },
  clearIcon: {
    type: icon.iconPropType,
    default: index$3.CircleClose
  },
  fitInputWidth: Boolean,
  suffixIcon: {
    type: icon.iconPropType,
    default: index$3.ArrowDown
  },
  tagType: {
    ...tag.tagProps.type,
    default: "info"
  },
  tagEffect: {
    ...tag.tagProps.effect,
    default: "light"
  },
  validateEvent: {
    type: Boolean,
    default: true
  },
  remoteShowSuffix: Boolean,
  showArrow: {
    type: Boolean,
    default: true
  },
  offset: {
    type: Number,
    default: 12
  },
  placement: {
    type: runtime.definePropType(String),
    values: index$2.placements,
    default: "bottom-start"
  },
  fallbackPlacements: {
    type: runtime.definePropType(Array),
    default: [
      "bottom-start",
      "top-start",
      "right",
      "left"
    ]
  },
  tabindex: {
    type: [String, Number],
    default: 0
  },
  appendTo: content.useTooltipContentProps.appendTo,
  options: { type: runtime.definePropType(Array) },
  props: {
    type: runtime.definePropType(Object),
    default: () => useProps.defaultProps
  },
  ...index$1.useEmptyValuesProps,
  ...index.useAriaProps(["ariaLabel"])
});
({
  "popup-scroll": scrollbar.scrollbarEmits.scroll
});
exports.selectProps = selectProps;
